Module javafx.controls
Package javafx.scene.control

# Class TextInputDialog

java.lang.Object
javafx.scene.control.Dialog<String>
javafx.scene.control.TextInputDialog

All Implemented Interfaces:
  `EventTarget`

public class TextInputDialog extends Dialog<String>
A dialog that shows a text input control to the user.

Since:
  JavaFX 8u40
See Also:
  - `Dialog`

## Property Summary

### Properties inherited from class javafx.scene.control.Dialog

`contentText, dialogPane, graphic, headerText, height, onCloseRequest, onHidden, onHiding, onShowing, onShown, resizable, resultConverter, result, showing, title, width, x, y`

## Constructor Summary

Constructors
Constructor
Description
`TextInputDialog()`
Creates a new TextInputDialog without a default value entered into the dialog `TextField`.
`TextInputDialog(String defaultValue)`
Creates a new TextInputDialog with the default value entered into the dialog `TextField`.

## Method Summary

Modifier and Type
Method
Description
`final String`
`getDefaultValue()`
Returns the default value that was specified in the constructor.
`final TextField`
`getEditor()`
Returns the `TextField` used within this dialog.

### Methods inherited from class javafx.scene.control.Dialog

`buildEventDispatchChain, close, contentTextProperty, dialogPaneProperty, getContentText, getDialogPane, getGraphic, getHeaderText, getHeight, getModality, getOnCloseRequest, getOnHidden, getOnHiding, getOnShowing, getOnShown, getOwner, getResult, getResultConverter, getTitle, getWidth, getX, getY, graphicProperty, headerTextProperty, heightProperty, hide, initModality, initOwner, initStyle, isResizable, isShowing, onCloseRequestProperty, onHiddenProperty, onHidingProperty, onShowingProperty, onShownProperty, resizableProperty, resultConverterProperty, resultProperty, setContentText, setDialogPane, setGraphic, setHeaderText, setHeight, setOnCloseRequest, setOnHidden, setOnHiding, setOnShowing, setOnShown, setResizable, setResult, setResultConverter, setTitle, setWidth, setX, setY, show, showAndWait, showingProperty, titleProperty, widthProperty, xProperty, yProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextInputDialog

public TextInputDialog()
Creates a new TextInputDialog without a default value entered into the dialog `TextField`.

### TextInputDialog

public TextInputDialog(String defaultValue)
Creates a new TextInputDialog with the default value entered into the dialog `TextField`.

Parameters:
  `defaultValue` - the default value entered into the dialog

## Method Details

### getEditor

public final TextField getEditor()
Returns the `TextField` used within this dialog.

Returns:
  the `TextField` used within this dialog

### getDefaultValue

public final String getDefaultValue()
Returns the default value that was specified in the constructor.

Returns:
  the default value that was specified in the constructor